Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create issue subscriber

POST/workspaces/{organizationId}/issues/{issueId}/subscribers
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
issueIdstringrequired
Request body
application/json
linearUserIdstringrequired
min length 1
Responses
201

Subscriber added

idstringrequired
organizationIdstringrequired
issueIdstringrequired
linearUserIdstringrequired
createdAtstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/issues/string/subscribers' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "linearUserId": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "issueId": "string",
  "linearUserId": "string",
  "createdAt": "string"
}

Was this page helpful?